import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.base.crontab.getList,
    method: 'get',
    params,
  })
}

export function jobClassNames(params) {
  return request({
    url: URL.shop.base.crontab.jobClassNames,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.crontab.doEdit,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.crontab.doDelete,
    method: 'post',
    data,
  })
}
